ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

TcCanonical

# Documentation

canonicalize :: Ct -> TcS (StopOrContinue Ct) Source #

unifyDerived :: CtLoc -> Role -> Pair TcType -> TcS () Source #

makeSuperClasses :: [Ct] -> TcS [Ct] Source #

data StopOrContinue a Source #

Constructors

ContinueWith a |
Stop CtEvidence SDoc |

Instances

Functor StopOrContinue # |
Methods fmap :: (a -> b) -> StopOrContinue a -> StopOrContinue b Source # (<$) :: a -> StopOrContinue b -> StopOrContinue a Source #
Outputable a => Outputable (StopOrContinue a) # |
Methods ppr :: StopOrContinue a -> SDoc Source # pprPrec :: Rational -> StopOrContinue a -> SDoc Source #

stopWith :: CtEvidence -> String -> TcS (StopOrContinue a) Source #

continueWith :: a -> TcS (StopOrContinue a) Source #